Utilizamos cookies propias y de terceros para mejorar nuestros servicios, analizar y personalizar tu navegación, mostrar publicidad y facilitarte publicidad relacionada con tus preferencias. Si sigues navegando por nuestra web, consideramos que aceptas su uso. Puedes cambiar la configuración u obtener más información aquí.

Descubren un 'exploit' de seguridad en Java 7 que podría infectar a equipos Mac

Los usuarios de Mac podrían verse afectados por un nuevo fallo de seguridad en Java 7. Principalmente este fallo afecta a usuarios de Windows y aquellos usuarios del SO Leopard y Snow Leopard de Apple porque el programa de Oracle viene preinstalado de serie en el SO de Microsoft. El resto de usuarios de Mac podría tener la misma suerte si instalan el programa en sus equipos. El ataque puede ser activado a través de cualquier navegador y a cualquier sistema operativo.
El descubrimiento de esta vulnerabilidad en Java 7 ha sido posible gracias a la información vertida por el gerente de ingeniería de Metasploit, Tod Beardsley, quien ha descrito este ataque como "super peligroso".
Los 'exploits' -piezas de software que tienen como objetivo violar las medidas de seguridad para acceder a un equipo- descubiertos se han dirigido sólo a los usuarios de Windows, sin embargo esto no significa que no pueda afectar a los sistemas operativos restantes -Linux y OS X-. En el caso de OS X Lion y Lion Mountain, se encuentra un modesto nivel de protección, ya que Java no está instalado de forma predeterminada en estos sistemas operativos.
Sin embargo, todavía existe la posibilidad de tener Java instalado en OS X Lion y Lion Mountain tras aceptar el permiso que se le pide al usuario para descargar el software de Oracle. Por su parte, los usuarios de Leopard y Snow Leopard cuyos equipos traen Java preinstalado sí tienen un mayor riesgo respecto al 'exploit' de Java 7 descubierto por Beardsley.
Apple todavía mantiene Java 6 en sus equipos y, según explica Beardsley, "la vulnerabilidad no está en Java 6, sino que se encuentra en la nueva funcionalidad de Java 7". Por lo que los usuarios de Mac pueden estar tranquilos si tienen la anterior versión de Java, siempre y cuando tengan especial cuidado si se les solicita la descarga de Java 7.
Beardsley recomienda a los usuarios desactivar Java hasta que Oracle ofrezca un parche. Este ha sido un consejo totalmente respaldado por prácticamente todos los expertos en seguridad al comentar el fallo.
Como medida de seguridad, los usuarios de Mac podrán inhabilitar el 'plugin' de Java desde dentro de sus navegadores hasta que el 'exploit' en el nuevo Java 7 haya sido resuelto.
Enlaces relacionados:
- Electronista (http://www.electronista.com/articles/12/08/27/lion.mountain.lion.safeguards.provide.modest.defense/).